| OpenCV 3.4.8 Open Source Computer Vision

Functions
Bitwise logical operations
Core functionality » Hardware Acceleration Layer » Interface

## Functions
int | hal_ni_and8u (const uchar *src1_data, size_t src1_step, const uchar *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height)
int | hal_ni_not8u (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height)
int | hal_ni_or8u (const uchar *src1_data, size_t src1_step, const uchar *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height)
int | hal_ni_xor8u (const uchar *src1_data, size_t src1_step, const uchar *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height)

## Detailed Description

Bitwise AND: dst[i] = src1[i] & src2[i]
Bitwise OR: dst[i] = src1[i] | src2[i]
Bitwise XOR: dst[i] = src1[i] ^ src2[i]
Bitwise NOT: dst[i] = !src[i]

Parameters

  src1_data,src1_step | first source image data and step
  src2_data,src2_step | second source image data and step
  dst_data,dst_step | destination image data and step
  width,height | dimensions of the images

## Function Documentation

## § hal_ni_and8u()

int hal_ni_and8u | ( | const uchar * | src1_data,
|  | size_t | src1_step,
|  | const uchar * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`

## § hal_ni_not8u()

int hal_ni_not8u | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`

## § hal_ni_or8u()

int hal_ni_or8u | ( | const uchar * | src1_data,
|  | size_t | src1_step,
|  | const uchar * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`

## § hal_ni_xor8u()

int hal_ni_xor8u | ( | const uchar * | src1_data,
|  | size_t | src1_step,
|  | const uchar * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`